ngeMatrix-class {Matrix} | R Documentation

## Class "ngeMatrix" of General Dense Nonzero-pattern Matrices

### Description

This is the class of general dense nonzero-pattern matrices, see `nMatrix`.

### Slots

`x`:

  Object of class `"logical"`. The logical values that constitute the matrix, stored in column-major order.

`Dim`,`Dimnames`:

  The dimension (a length-2 `"integer"`) and corresponding names (or `NULL`), see the `Matrix` class.

`factors`:

  Object of class `"list"`. A named list of factorizations that have been computed for the matrix.

### Extends

Class `"ndenseMatrix"`, directly. Class `"lMatrix"`, by class `"ndenseMatrix"`. Class `"denseMatrix"`, by class `"ndenseMatrix"`. Class `"Matrix"`, by class `"ndenseMatrix"`. Class `"Matrix"`, by class `"ndenseMatrix"`.

### Methods

Currently, mainly `t()` and coercion methods (for `as(.)`); use, e.g., `showMethods(class="ngeMatrix")` for details.

### See Also

Non-general logical dense matrix classes such as `ntrMatrix`, or `nsyMatrix`; sparse logical classes such as `ngCMatrix`.

### Examples

    showClass("ngeMatrix")
    ## "lgeMatrix" is really more relevant

[Package Matrix version 1.0-6 Index]